# Uses of Interface
org.eclipse.ui.intro.config.IIntroContentProviderSite

Packages that use IIntroContentProviderSite
Package
Description
org.eclipse.ui.intro.config
Provides support for customizing welcome content and presentation.
org.eclipse.ui.intro.contentproviders
Contains classes which can be used to add controls to a welcome page.
org.eclipse.ui.intro.quicklinks
Application programming interfaces for the Quicklinks Viewer, a component for the Welcome/Intro.

## Uses of IIntroContentProviderSite in org.eclipse.ui.intro.config

Methods in org.eclipse.ui.intro.config with parameters of type IIntroContentProviderSite
Modifier and Type
Method
Description
`void`
IIntroContentProvider.`init(IIntroContentProviderSite site)`
Initializes the content provider.

## Uses of IIntroContentProviderSite in org.eclipse.ui.intro.contentproviders

Methods in org.eclipse.ui.intro.contentproviders with parameters of type IIntroContentProviderSite
Modifier and Type
Method
Description
`void`
AlwaysWelcomeCheckbox.`init(IIntroContentProviderSite site)`
`void`
EclipseRSSViewer.`init(IIntroContentProviderSite site)`
Initialize the content provider

## Uses of IIntroContentProviderSite in org.eclipse.ui.intro.quicklinks

Methods in org.eclipse.ui.intro.quicklinks with parameters of type IIntroContentProviderSite
Modifier and Type
Method
Description
`void`
QuicklinksViewer.`init(IIntroContentProviderSite site)`